Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Сломался синаптик  (Прочитано 893 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн animegirl

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Сломался синаптик
« : 11 Сентябрь 2011, 17:47:57 »
Хотела поставить "MySQL Workbench", не хватало зависимых пакетов, начала качать и ставить, качала с "http://packages.debian.org/search", поставила "fontconfig-config_2.8.0-2.1_all.deb" и из-за него у меня сломался синаптик, везде пишет, чтоб в консоле набрала "sudo apt-get install -f", делаю, вот что выдаёт:
zzz@zzz-tower:~$ sudo apt-get install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... failed.
The following packages have unmet dependencies:
  libfontconfig1: Depends: fontconfig-config (= 2.5.0-2ubuntu3) but 2.8.0-2.1 is installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
E: Unable to correct dependencies
zzz@zzz-tower:~$
И так по кругу, не знаю, что делать уже ;(
Подарите мне манула :)

Оффлайн andru_mam

  • Участник
  • *
  • Сообщений: 103
    • Просмотр профиля
Re: Сломался синаптик
« Ответ #1 : 11 Сентябрь 2011, 18:01:06 »
В синаптике выбрать "Исправить пакеты с ошибками", снести fontconfig наконец

Оффлайн animegirl

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Сломался синаптик
« Ответ #2 : 11 Сентябрь 2011, 21:01:40 »
В синаптике выбрать "Исправить пакеты с ошибками", снести fontconfig наконец
Первый совет не работает, я уже пробывала этот ход, вот что получаю в ответ:
http://i039.ЗАПРЕЩЁННЫЙ РЕСУРС/1109/9a/59485afd441a.png

Поповоду того, что снести, который именно пакет снести в данном случае?


UPD: Да админы, чё издеваются??? Загрузить картинку на форум - НЕЛЬЗЯ, вставить картинку загруженную на радикал - НЕЛЬЗЯ. Как мне показать, чё у меня происходит?!?!?!?!?
« Последнее редактирование: 11 Сентябрь 2011, 21:13:49 от animegirl »
Подарите мне манула :)

Оффлайн andru_mam

  • Участник
  • *
  • Сообщений: 103
    • Просмотр профиля
Re: Сломался синаптик
« Ответ #3 : 11 Сентябрь 2011, 22:33:49 »
libfontconfig1: Depends: fontconfig-config (= 2.5.0-2ubuntu3) but 2.8.0-2.1 is installed
эту гадость зачистить попробуй

Оффлайн animegirl

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Сломался синаптик
« Ответ #4 : 11 Сентябрь 2011, 22:56:48 »
libfontconfig1: Depends: fontconfig-config (= 2.5.0-2ubuntu3) but 2.8.0-2.1 is installed
эту гадость зачистить попробуй
fontconfig-config ?
Подарите мне манула :)

Оффлайн NanoGlist

  • Активист
  • *
  • Сообщений: 283
  • Даешь наноглистинг!!!!
    • Просмотр профиля
Re: Сломался синаптик
« Ответ #5 : 11 Сентябрь 2011, 23:30:48 »
sudo nano /var/lib/dpkg/status

Нажимаем ctrl+w в строчке search пишем fontconfig-config далее ENTER.

Нас интересует строчка с искомым именем напротив слова Package:

что то типа Package: fontconfig-config

Удаляем все до следующей строчкм Package.
Т.е. не надо удалять все в файле status. Только упоменание о пакете, который нам интересен.
Удалять надо с помощью ctrl+k.

Далее ctrl+x , далее Y. Затем apt-get update.

Оффлайн animegirl

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Сломался синаптик
« Ответ #6 : 11 Сентябрь 2011, 23:39:31 »
sudo nano /var/lib/dpkg/status

Нажимаем ctrl+w в строчке search пишем fontconfig-config далее ENTER.

Нас интересует строчка с искомым именем напротив слова Package:

что то типа Package: fontconfig-config

Удаляем все до следующей строчкм Package.
Т.е. не надо удалять все в файле status. Только упоменание о пакете, который нам интересен.
Удалять надо с помощью ctrl+k.

Далее ctrl+x , далее Y. Затем apt-get update.

"Package: fontconfig-config" при этом должно остаться или полностью вырезать?

Пользователь решил продолжить мысль 11 Сентябрь 2011, 23:40:46:
Сейчас там вот что:

Package: fontconfig-config
Status: purge ok installed
Priority: optional
Section: fonts
Installed-Size: 440
Maintainer: Keith Packard <keithp@debian.org>
Architecture: all
Source: fontconfig
Version: 2.8.0-2.1
Replaces: fontconfig (<< 2.3.2-2)
Depends: debconf (>= 0.5) | debconf-2.0, ucf (>= 0.29), ttf-dejavu-core | ttf-bitstream-vera | ttf-freefont | gsfonts-x11
Conflicts: fontconfig (<< 2.3.2-2)
Conffiles:
 /etc/fonts/conf.avail/10-sub-pixel-bgr.conf cacb7572b778448d592501d03a7f96fd
 /etc/fonts/conf.avail/10-no-sub-pixel.conf d06c13e792afb20a06528d23e6542459
 /etc/fonts/conf.avail/45-latin.conf 8d9a57e7891ecc9d6f0806a3e7c204a1
 /etc/fonts/conf.avail/70-yes-bitmaps.conf 91c414090c7d8bfe557785fe845cb6bd
 /etc/fonts/conf.avail/40-nonlatin.conf 34f79d61d0e0c8f24741b998a91f4a94
 /etc/fonts/conf.avail/60-latin.conf cd23b9b0b1e2a9a485b7982b2e4e9e3b
 /etc/fonts/conf.avail/30-urw-aliases.conf c6c33cfde9f637e1d2b8cad9353df6dc
 /etc/fonts/conf.avail/10-unhinted.conf 7bdecdf76d7bb22cd39e3b18bcbcc28d
 /etc/fonts/conf.avail/90-synthetic.conf 7659edb861f44ff8e9f4e31567d24e47
 /etc/fonts/conf.avail/70-force-bitmaps.conf 6423e63e204d4ea4629cd3f58636fcdc
 /etc/fonts/conf.avail/70-no-bitmaps.conf dccfa658875eea3b30514d7a8bc306bc
 /etc/fonts/conf.avail/69-unifont.conf 49a6cb52e1cf23e0f691807a3e8c105d
 /etc/fonts/conf.avail/49-sansserif.conf 22278b0b48e5864d9c7fcbc178da0db3
 /etc/fonts/conf.avail/65-khmer.conf ce66ea0c26f43091ab70092f3f7024d4
 /etc/fonts/conf.avail/65-nonlatin.conf 12a4cb7a2d642497f73f338abf988235
 /etc/fonts/conf.avail/10-sub-pixel-rgb.conf 60ef22ca1f56543131eddee764383b46
 /etc/fonts/conf.avail/25-unhint-nonlatin.conf 62953912e2a45ea9a1ef4d8a400b2894
 /etc/fonts/conf.avail/20-fix-globaladvance.conf fbad2da072b8609477d89a59a167705a
 /etc/fonts/conf.avail/10-sub-pixel-vrgb.conf a3198f34365f978c1fb5355a92e4ef94
 /etc/fonts/conf.avail/65-fonts-persian.conf 7df3a06989afcf1ecd9a8f44c9bf5d63
 /etc/fonts/conf.avail/20-unhint-small-vera.conf b975a96cc427cde633cbdedc4012aa22
 /etc/fonts/conf.avail/10-sub-pixel-vbgr.conf d526b41cd9b4d5e09ab4044a39b4c038
 /etc/fonts/conf.avail/50-user.conf 0165add6524289f6eb0461ba0be73be2
 /etc/fonts/conf.avail/51-local.conf a2fa562c168c2c4cc0c2480bfdc0f8eb
 /etc/fonts/conf.avail/80-delicious.conf 1c0cbfdceb6bc7a55668c11f03b0710b
 /etc/fonts/conf.avail/10-autohint.conf 5fe723b1fde478085868af26461bcf58
 /etc/fonts/conf.avail/30-metric-aliases.conf 64accc211b62e4fb7da141d8c1c271b3
 /etc/fonts/fonts.conf 4c841acd3dd065819b23a0fc077d783c
 /etc/fonts/conf.d/README 296384642206e0c9952d5c73a5451eec
 /etc/fonts/fonts.dtd 9a099c7722190e00548c0d8375bdc24b
 /etc/fonts/conf.avail/README 296384642206e0c9952d5c73a5451eec obsolete
 /etc/fonts/conf.avail/53-monospace-lcd-filter.conf 016420390865309c7a44bf058a2b3fae obsolete
 /etc/fonts/conf.avail/52-languageselector.conf 49268c5c57998beaa7872a0a3014c8a5 obsolete
 /etc/fonts/conf.avail/10-hinting.conf 4d1fb88a99c516270526c8dca5764df8 obsolete
 /etc/fonts/conf.avail/10-hinting-slight.conf 4d7df8529053d526a503b472ee42b2b3 obsolete
 /etc/fonts/conf.avail/10-hinting-medium.conf b663214dd84d0f5c4e279b153e0b38f9 obsolete
 /etc/fonts/conf.avail/10-hinting-full.conf 65b0e8b7e1392797850856d8411d7272 obsolete
 /etc/fonts/conf.avail/10-antialias.conf d77e6cfb9608490da012671c25213fe4 obsolete
Description: generic font configuration library - configuration
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System. It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 This package contains the configuration files and scripts for fontconfig.
Подарите мне манула :)

Оффлайн andru_mam

  • Участник
  • *
  • Сообщений: 103
    • Просмотр профиля
Re: Сломался синаптик
« Ответ #7 : 11 Сентябрь 2011, 23:43:15 »
ага, убить. и потом, по возможности ставить проги штатными средствами

Оффлайн NanoGlist

  • Активист
  • *
  • Сообщений: 283
  • Даешь наноглистинг!!!!
    • Просмотр профиля
Re: Сломался синаптик
« Ответ #8 : 11 Сентябрь 2011, 23:45:17 »
Удаляйте все начиная со слова Package и до следующего описания пакета начинающегося со слова Package.
Незабудьте перед этим сделать cp status status.bak. Подстраховаться так сказать резервной копией.

Оффлайн animegirl

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Сломался синаптик
« Ответ #9 : 12 Сентябрь 2011, 00:10:03 »
Большое спасибо, после этого запустила синоптик, он сначала сказал, что 2 пакета сломаны, а потом в добавок, что нужно один пакет скачать, именно тот, что мы удалили. Скачал, поставил, сто раз меня спросил по поводу замены новых конфигов на старые, но в итоге, всё тип топ. Спасибо всем :*
Подарите мне манула :)

Оффлайн NanoGlist

  • Активист
  • *
  • Сообщений: 283
  • Даешь наноглистинг!!!!
    • Просмотр профиля
Re: Сломался синаптик
« Ответ #10 : 12 Сентябрь 2011, 00:12:08 »
ПРавильно, все так и должно было быть.

 

Страница сгенерирована за 0.078 секунд. Запросов: 25.